/*==========================================================================
 * Copyright (c) 2003-2004 University of Massachusetts.  All Rights Reserved.
 *
 * Use of the Lemur Toolkit for Language Modeling and Information Retrieval
 * is subject to the terms of the software license set forth in the LICENSE
 * file included with this software, and also available at
 * http://www.lemurproject.org/license.html
 *
 *==========================================================================
 */


//
// StemmerFactory
//
// 5 August 2004 -- tds
//

#ifndef VANK_STEMMERFACTORY_HPP
#define VANK_STEMMERFACTORY_HPP

#include "vank/Transformation.hpp"
#include <string>
#include "vank/Parameters.hpp"
namespace vank
{
  namespace parse
  {

    class StemmerFactory {
    public:
      static Transformation* get( const std::string& stemmerName, vank::api::Parameters& stemmerParams );
      static std::string preferredName( const std::string& stemmerName );
    };
  }
}

#endif // VANK_STEMMERFACTORY_HPP
