/*==========================================================================
 * Copyright (c) 2003-2004 University of Massachusetts.  All Rights Reserved.
 *
 * Use of the Lemur Toolkit for Language Modeling and Information Retrieval
 * is subject to the terms of the software license set forth in the LICENSE
 * file included with this software, and also available at
 * http://www.lemurproject.org/license.html
 *
 *==========================================================================
 */


//
// Transformation
//
// 11 May 2004 -- tds
//

#ifndef VANK_TRANSFORMATION_HPP
#define VANK_TRANSFORMATION_HPP

#include "vank/ObjectHandler.hpp"
#include "vank/ParsedDocument.hpp"
namespace vank
{
  namespace parse
  {

    class Transformation : public ObjectHandler<vank::api::ParsedDocument> {
    public:
      virtual ~Transformation() {}
      virtual vank::api::ParsedDocument* transform( vank::api::ParsedDocument* document ) = 0;

      virtual void handle( vank::api::ParsedDocument* document ) = 0;
      virtual void setHandler( ObjectHandler<vank::api::ParsedDocument>& handler ) = 0;
    };
  }
}

#endif // VANK_TRANSFORMATION_HPP
