<?php
  //
  // index: Complete path to the Vank index to be queried.
  //        Make sure that the web server has permission to read
  //        this index, and that there are no processes writing to
  //        this index.
  //

  // swap in new crawl
  $vank_param['index'] = "/home/tavit/tmp/cs-crawl-linkz";

  //
  // document_format: Use 'text' if the document is a text file (or
  //        an XML file, but you want to show the tags in the browser).
  //        Use 'html' to attempt to render the document in the browser.
  //

  $vank_param['document_format'] = "html";

  //
  // sitename: the name of the top level host to search.
  //

  $vank_param['sitename'] = "dms3.io";

  //
  // search_text: Text to be printed under the search box
  //

  $vank_param['search_text'] = <<<END
<p><a href="http://dms3.io/is/vank/VankQueryLanguage.html">Vank query language documentation</a>
END
  ;

  //
  // library: Location and name of the Vank PHP shared library,
  //          probably called 'libvank.so'.  Check your PHP
  //          installation to see where this library needs to be stored.
  //

  $vank_param['library'] = "libvank_php.so";

  //
  // snippet_length: Maximum length, in words, of the snippet that
  //          appears below each search result.
  //

  $vank_param['snippet_length'] = 20;

  //
  // memory_limit: Maximum number of bytes that the PHP process should
  //          use while processing query requests.
  //

  $vank_param['memory_limit'] = 1024*1024*1024;

  //
  // max_execution_time: Maximum number of sectonds that the PHP process should
  //          use while processing query requests.
  //

  $vank_param['max_execution_time'] = 300;

  //
  // page_docs: Number of documents to display on each query result page.
  //

  $vank_param['page_docs'] = 10;
?>
