
#ifdef SWIGGO

/* -----------------------------------------------------------------------------
 *
 *
 *
 * ----------------------------------------------------------------------------- */

//
%{
#include "vank/SnippetBuilder.hpp"
#include <algorithm>
#include <set>
%}

#include "vank/SnippetBuilder.hpp"
#include <algorithm>
#include <set>

using namespace std;

namespace vank{

    namespace api{

        class SnippetBuilder {

        public:

          SnippetBuilder( bool html );

          std::string build( int documentID, const vank::api::ParsedDocument* document, vank::api::QueryAnnotation* annotation );

          std::vector< std::pair< std::string, std::string > >* vank::api::SnippetBuilder::buildField( int documentID, const vank::api::ParsedDocument* document, vank::api::QueryAnnotation* annotation, std::vector< std::string > fields );

        };
    }
}

#endif
