/*==========================================================================
 * Copyright (c) 2004 University of Massachusetts.  All Rights Reserved.
 *
 * Use of the Lemur Toolkit for Language Modeling and Information Retrieval
 * is subject to the terms of the software license set forth in the LICENSE
 * file included with this software, and also available at
 * http://www.lemurproject.org/license.html
 *
 *==========================================================================
 */


//
// ContextCountGraphExtractor
//
// 5 March 2004 -- tds
//

#ifndef VANK_CONTEXTCOUNTGRAPHEXTRACTOR_HPP
#define VANK_CONTEXTCOUNTGRAPHEXTRACTOR_HPP

#include <vank/delete_range.hpp>
namespace vank
{
  namespace lang
  {

    class ContextCountGraphExtractor : public vank::lang::Copier {
    private:
      std::vector<vank::lang::Node*> _nodes;

    public:
      ~ContextCountGraphExtractor() {
        delete_range( _nodes.begin(), _nodes.end() );
      }

      Node* defaultAfter( vank::lang::Node* node ) {

      }

      Node* after( vank::lang::RawScorerNode* oldNode, vank::lang::RawScorerNode* oldNode ) {



      }
    };

  }
}

#endif // VANK_CONTEXTCOUNTGRAPHEXTRACTOR_HPP
