/*==========================================================================
 * Copyright (c) 2004 University of Massachusetts.  All Rights Reserved.
 *
 * Use of the Lemur Toolkit for Language Modeling and Information Retrieval
 * is subject to the terms of the software license set forth in the LICENSE
 * file included with this software, and also available at
 * http://www.lemurproject.org/license.html
 *
 *==========================================================================
 */

//
// InternalFileBuffer
//
// 2004 November 24 -- tds
//

#ifndef VANK_INTERNALFILEBUFFER_HPP
#define VANK_INTERNALFILEBUFFER_HPP

#include "vank/Buffer.hpp"
namespace vank
{
  namespace file
  {

    struct InternalFileBuffer {
      InternalFileBuffer( size_t length ) {
        buffer.grow(length);
        filePosition = 0;
      }

      vank::utility::Buffer buffer;
      UINT64 filePosition;
    };
  }
}

#endif // VANK_INTERNALFILEBUFFER_HPP
