/*==========================================================================
 * Copyright (c) 2004 University of Massachusetts.  All Rights Reserved.
 *
 * Use of the Lemur Toolkit for Language Modeling and Information Retrieval
 * is subject to the terms of the software license set forth in the LICENSE
 * file included with this software, and also available at
 * http://www.lemurproject.org/license.html
 *
 *==========================================================================
 */

//
// TermScoreFunctionFactory
//
// 19 August 2004 -- tds
//

#ifndef VANK_TERMSCOREFUNCTIONFACTORY_HPP
#define VANK_TERMSCOREFUNCTIONFACTORY_HPP

#include "vank/TermScoreFunction.hpp"
#include <string>
namespace vank
{
  namespace query
  {
    class TermScoreFunctionFactory {
    public:
      static TermScoreFunction* get( const std::string& spec, double occurences, double contextSize, int documentOccurrences = 0, int documentCount = 0 );
    };
  }
}

#endif // VANK_TERMSCOREFUNCTIONFACTORY_HPP
